Subject: Re: 3 failures on test t9100 (svn)

From: Nicolas Sebrecht <[email-masked]>
Date: Wed, 3 Mar 2010 20:52:49 +0100

The 03/03/10, Jeff King wrote:
> On Wed, Mar 03, 2010 at 01:58:04AM +0100, Nicolas Sebrecht wrote:
> 
> That's weird. Can you test this in each of your shells:
> 
>   foo() {
>     echo "in foo, arg=$1"
>   }
>   VARIABLE='foo bar'
>   $VARIABLE
> 
> It should print "in foo, arg=bar". If it doesn't, then the shell is
> broken.

It works, so the shell isn't that broken. :)

> Also, can you confirm that you aren't setting SHELL_PATH in the Makefile
> (or in your environment) when building and testing git?

I run "make install" and I only tune the prefix variable.

> I have this same version of bash on my Debian stable box, and it passes
> the test I outlined above. So perhaps there is something more subtle
> going on.

Thanks Jeff for your feedbacks.

> > That said, I did the svn tests because sometimes I have reproductible
> > errors with 'git svn fetch' or 'git svn clone'. I'm not sure how both
> > problems could be related... git-svn is a Perl script. The given message
> > for this one is "error: died with signal 11" from what I remember (but
> > I'm sure about the "signal 11" part).
> 
> I doubt they are related. This test_cmp problem is a problem in the test
> harness, but it may be masking actual problems by giving false
> negatives.

I agree. I'll correct the git-svn issue before coming back to the tests
issues.

-- 
Nicolas Sebrecht